Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.locale.converters
Class DateLocaleConverter

    java.lang.Object
      org.apache.commons.beanutils.locale.BaseLocaleConverter
          org.apache.commons.beanutils.locale.converters.DateLocaleConverter

All Implemented Interfaces:
  Converter, LocaleConverter

Direct Known Subclasses:
  SqlDateLocaleConverter, SqlTimeLocaleConverter, SqlTimestampLocaleConverter

    public class DateLocaleConverter

extends BaseLocaleConverter

Standard `LocaleConverter` implementation that converts an incoming locale-sensitive String into a `java.util.Date` object, optionally using a default value or throwing a `ConversionException` if a conversion error occurs.

Author:
  Yauheny Mikulski, Michael Szlapa

Field Summary

Fields inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter
`locale, locPattern, pattern, useDefault`

Constructor Summary
`DateLocaleConverter()` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DateLocaleConverter(boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DateLocaleConverter(Locale locale)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DateLocaleConverter(Locale locale, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DateLocaleConverter(Locale locale, String pattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DateLocaleConverter(Locale locale, String pattern, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
`DateLocaleConverter(Object defaultValue)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DateLocaleConverter(Object defaultValue, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DateLocaleConverter(Object defaultValue, Locale locale)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DateLocaleConverter(Object defaultValue, Locale locale, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DateLocaleConverter(Object defaultValue, Locale locale, String pattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
`DateLocaleConverter(Object defaultValue, Locale locale, String pattern, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

Method Summary
`boolean` | `isLenient()` Returns whether date formatting is lenient.
`protected Object` | `parse(Object value, String pattern)` Convert the specified locale-sensitive input object into an output object of the specified type.
`void` | `setLenient(boolean lenient)` Specify whether or not date-time parsing should be lenient.

Methods inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter
`convert, convert, convert, convert`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateLocaleConverter

    public DateLocaleConverter()

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.

### DateLocaleConverter

    public DateLocaleConverter(boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.

  Parameters:
    `locPattern` - Indicate whether the pattern is localized or not

### DateLocaleConverter

    public DateLocaleConverter(Locale locale)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.

  Parameters:
    `locale` - The locale

### DateLocaleConverter

    public DateLocaleConverter(Locale locale,
                               boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.

  Parameters:
    `locale` - The locale
    `locPattern` - Indicate whether the pattern is localized or not

### DateLocaleConverter

    public DateLocaleConverter(Locale locale,
                               String pattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.

  Parameters:
    `locale` - The locale
    `pattern` - The convertion pattern

### DateLocaleConverter

    public DateLocaleConverter(Locale locale,
                               String pattern,
                               boolean locPattern)

  Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.

  Parameters:
    `locale` - The locale
    `pattern` - The convertion pattern
    `locPattern` - Indicate whether the pattern is localized or not

### DateLocaleConverter

    public DateLocaleConverter(Object defaultValue)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.

  Parameters:
    `defaultValue` - The default value to be returned

### DateLocaleConverter

    public DateLocaleConverter(Object defaultValue,
                               boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.

  Parameters:
    `defaultValue` - The default value to be returned
    `locPattern` - Indicate whether the pattern is localized or not

### DateLocaleConverter

    public DateLocaleConverter(Object defaultValue,
                               Locale locale)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.

  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale

### DateLocaleConverter

    public DateLocaleConverter(Object defaultValue,
                               Locale locale,
                               boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `locPattern` - Indicate whether the pattern is localized or not

### DateLocaleConverter

    public DateLocaleConverter(Object defaultValue,
                               Locale locale,
                               String pattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.

  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `pattern` - The convertion pattern

### DateLocaleConverter

    public DateLocaleConverter(Object defaultValue,
                               Locale locale,
                               String pattern,
                               boolean locPattern)

  Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

  Parameters:
    `defaultValue` - The default value to be returned
    `locale` - The locale
    `pattern` - The convertion pattern
    `locPattern` - Indicate whether the pattern is localized or not

Method Detail

### isLenient

    public boolean isLenient()

  Returns whether date formatting is lenient.

  Returns:
    true if the `DateFormat` used for formatting is lenient
  See Also:
    `DateFormat.isLenient()`

### setLenient

    public void setLenient(boolean lenient)

  Specify whether or not date-time parsing should be lenient.

  Parameters:
    `lenient` - true if the `DateFormat` used for formatting should be lenient
  See Also:
    `DateFormat.setLenient(boolean)`

### parse

    protected Object parse(Object value,
                           String pattern)
                    throws ParseException

  Convert the specified locale-sensitive input object into an output object of the specified type.

  Specified by:
    `parse` in class `BaseLocaleConverter`
  Parameters:
    `value` - The input object to be converted
    `pattern` - The pattern is used for the convertion
  Returns:
    the converted Date value
  Throws:
    `ConversionException` - if conversion cannot be performed successfully
    `ParseException` - if an error occurs parsing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 The Apache Software Foundation. All Rights Reserved.